// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: QuitUtteranceRecognizer.java,v 1.3 2003/03/06 00:40:47 moltmans Exp $
// QuitUtteranceRecognizer.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Maintainer: Michael Oltmans <moltmans@ai.mit.edu> 
// Copyright: Copyright (C) 1999 by Michael Oltmans 
// Created: <Thu Aug 19 18:14:23 1999> 
// Time-stamp: <2000-02-25 19:47:30 moltmans> 
// Keywords: 

package rec.core.speech;

import java.util.*;

import rec.util.*;
import rec.sys.*;

public class QuitUtteranceRecognizer extends SimpleUtteranceRecognizer
{

  public QuitUtteranceRecognizer()
  {
    super( "quit" );
  }

  public void performAction( Surface s, Object arg )
  {
    Console.writeln( "Quitting the sim" );
    System.exit(0);
  }

  public void performUndo( Surface s, Object arg )
  {
  }
}

